services:
  music-assistant:
    cap_add:
    - AUDIT_WRITE
    - CHOWN
    - DAC_OVERRIDE
    - FOWNER
    - FSETID
    - KILL
    - MKNOD
    - NET_BIND_SERVICE
    - NET_RAW
    - SETFCAP
    - SETGID
    - SETPCAP
    - SETUID
    - SYS_CHROOT
    cap_drop:
    - AUDIT_CONTROL
    - BLOCK_SUSPEND
    - DAC_READ_SEARCH
    - IPC_LOCK
    - IPC_OWNER
    - LEASE
    - LINUX_IMMUTABLE
    - MAC_ADMIN
    - MAC_OVERRIDE
    - NET_ADMIN
    - NET_BROADCAST
    - SYSLOG
    - SYS_ADMIN
    - SYS_BOOT
    - SYS_MODULE
    - SYS_NICE
    - SYS_PACCT
    - SYS_PTRACE
    - SYS_RAWIO
    - SYS_RESOURCE
    - SYS_TIME
    - SYS_TTY_CONFIG
    - WAKE_ALARM
    container_name: music-assistant
    entrypoint:
    - mass
    - --config
    - /data
    environment:
      GPG_KEY: '***SENSITIVE_VALUE*** (7169...)'
      LD_PRELOAD: /usr/lib/libjemalloc.so.2
      PATH: /app/venv/bin:/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
      PYTHON_SHA256: 17ba5508819d8736a14fbfc47d36e184946a877851b2e9c4b6c43acb44a3b104
      PYTHON_VERSION: 3.13.6
      VIRTUAL_ENV: /app/venv
    image: ghcr.io/music-assistant/server:latest
    ports:
    - 8095:8095/tcp
    restart: unless-stopped
    volumes:
    - /home/jonathan/music_assistant_config:/config
    - fb2f38f8fe39ef8c95a4760e037fd74ccee53e79e4e1f8844d447b592ba407ac:/data
    working_dir: /app/venv
